Stampfactory
Dokumentation
Vergütung

Vergütung erstellen

POST
/employees/{employee}/compensations
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

employee*string

The employee ID

Formatuuid

Request-Body

application/json

TypeScript-Definitionen

TypeScript-Typ für request body.

Response-Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08/compensations" \  -H "Content-Type: application/json" \  -d '{    "compensation_type_id": "293012b1-ea02-4bf9-98aa-f6317a5e75cf",    "value": 0,    "effective_from": "2019-08-24T14:15:22Z"  }'
{  "data": {    "id": "string",    "employee_id": "string",    "compensation_type": {      "id": "string",      "name": "string",      "category": "string",      "is_system": "string"    },    "compensation_type_id": "string",    "value": 0,    "currency": "string",    "effective_from": "string",    "interval": "string",    "weekly_working_hours": 0,    "full_time_weekly_working_hours": 0,    "suggested_weekly_hours": null,    "hours_mismatch": null,    "schedule_model_weekly_hours": null,    "comment": "string",    "created_at": "string",    "updated_at": "string"  }}